# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install gcc-c++
# END SourceDeps(oneline)
BuildRequires: rpm-build-python3 python3-devel
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define uname	wxHexEditor

Name:		wxhexeditor
Version:	0.24
Summary:	A hex editor that supports files up to 2^64 bytes
Release:	alt4_17
Group:		Editors
License:	GPLv2
Url:		https://www.wxhexeditor.org/
Source0:	https://github.com/EUA/%{uname}/archive/v%{version}/%{uname}-%{version}.tar.gz
Patch0:		wxhexeditor-0.24-mga-fix_arm_build2.patch
Patch1:		0001-Fix-build-with-wxgtk-3.1.2.patch
Patch2:		0001-Disable-update-check.patch
Patch3:		0001-Fix-possible-empty-language-selection-in-preferences.patch
BuildRequires:	libwxBase3.2-devel libwxGTK3.2-devel
BuildRequires:	libgomp-devel
Source44: import.info

%description
A hex editor that supports files up to 2^64 bytes

 Features
 Ability to work with files up to 2EB (ExaByte)
 Multi OS, cross-compilable
 Small footprint on RAM
 Raw Disk Access (on POSIX systems)
 Does not create temporary files!

%prep
%setup -q -n %{uname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1


# make autoconf happy
mkdir -p udis86/build/m4

%build
pushd udis86
  autoreconf -fi
  %configure --with-python=/usr/bin/python3
  %make_build
  %make_build -C libudis86
popd

pushd mhash
  autoreconf -fi
  %configure
  %make_build
popd

%make_build

%install
%makeinstall_std

desktop-file-install \
	--remove-key="Encoding" \
	--remove-key="Keywords" \
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}%{_datadir}/applications/%{uname}.desktop

%find_lang %{uname}

%files -f %{uname}.lang
%doc docs/*
%{_bindir}/%{uname}
%{_datadir}/applications/%{uname}.desktop
%{_datadir}/pixmaps/%{uname}.png


%changelog
* Thu Sep 14 2023 Igor Vlasenko <viy@altlinux.org> 0.24-alt4_17
- rebuild with wxGTK3.2

* Tue Aug 02 2022 Igor Vlasenko <viy@altlinux.org> 0.24-alt3_17
- update by mgaimport

* Tue Jul 05 2022 Igor Vlasenko <viy@altlinux.org> 0.24-alt3_16
- update by mgaimport

* Sun Apr 17 2022 Igor Vlasenko <viy@altlinux.org> 0.24-alt3_15
- update

* Tue Jul 13 2021 Cronbuild Service <cronbuild@altlinux.org> 0.24-alt3_8
- rebuild to get rid of unmets

* Mon Nov 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.24-alt2_8
- mga update

* Thu Oct 01 2020 Cronbuild Service <cronbuild@altlinux.org> 0.24-alt2_7
- rebuild to get rid of unmets

* Sat Apr 11 2020 Igor Vlasenko <viy@altlinux.ru> 0.24-alt1_7
- update by mgaimport

* Wed Nov 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.24-alt1_6
- update by mgaimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.24-alt1_5
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.24-alt1_4
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 0.24-alt1_3
- new version

